/* GNU GPL */

#ifndef NM_FBSD_H
#define	NM_FBSD_H

#include "solib.h"

/* Type of the third argument to the `ptrace' system call.  */
#define PTRACE_ARG3_TYPE caddr_t

/* Override copies of {fetch,store}_inferior_registers in `infptrace.c'.  */
#define FETCH_INFERIOR_REGISTERS

/* We can attach and detach.  */
#define ATTACH_DETACH

/* Override child_pid_to_exec_file in 'inftarg.c'.  */
#define	CHILD_PID_TO_EXEC_FILE

/*
 * Hardware watchpoint support.
 */
#define TARGET_HAS_HARDWARE_WATCHPOINTS

#define TARGET_CAN_USE_HARDWARE_WATCHPOINT(type, cnt, ot)	\
	ppc_can_use_hwatch(type, cnt, ot)

#define TARGET_REGION_OK_FOR_HW_WATCHPOINT(addr, len)		\
	ppc_region_ok_for_hwatch(addr, len)

#define target_insert_watchpoint	ppc_insert_watchpoint
#define target_remove_watchpoint	ppc_remove_watchpoint

#define HAVE_NONSTEPPABLE_WATCHPOINT	1

#define STOPPED_BY_WATCHPOINT(W)	ppc_stopped_by_hwatch()

#endif /* NM_FBSD_H */
