# $FreeBSD: src/gnu/usr.bin/gdb/Makefile.inc,v 1.13 2004/12/21 08:47:00 ru Exp $

.if !target(_${.PARSEFILE}_)
_${.PARSEFILE}_:

.include "../Makefile.inc0"

.if (${TARGET_ARCH} != ${MACHINE_ARCH}) \
    && !(${TARGET_ARCH} == "mips" && ${MACHINE_CPUARCH} == "mips")
GDB_CROSS_DEBUGGER=
.endif

.include "Makefile.gdb.inc"

.if defined(GDB_CROSS_DEBUGGER)
CFLAGS+= -DCROSS_DEBUGGER
GDB_SUFFIX= -${TARGET_ARCH}
NO_MAN=
.endif

version.c:
	echo '#include "version.h"' >  ${.TARGET}
	echo 'const char version[] = ${VERSION};' >> ${.TARGET}
	echo 'const char host_name[] = "${MACHINE_ARCH}-${VENDOR}-freebsd";' \
	    >> ${.TARGET}
	echo 'const char target_name[] = "${TARGET_ARCH}-${VENDOR}-freebsd";' \
	    >> ${.TARGET}

YACC = ${BISON} -y
BISON_VERSION=	1.35

.endif

.include "../Makefile.inc"

# Flush all of the generated files if we can do it easily.
.if (${_OBJDIR} != ${_CURDIR})
clean:
	(cd ${_CURDIR} && ${.MAKE} destroy-arch)
.endif
