# $Id: Makefile.gdb.inc 705412 2015-03-31 11:59:28Z ib-builder $

_tdepfiles= \
	gdb/bsd-uthread.c \
	gdb/corelow.c \
	gdb/fbsd-threads.c \
	gdb/fork-child.c \
	gdb/inf-ptrace.c \
	gdb/solib-svr4.c

_ser_hardwire = \
	gdb/ser-base.c \
	gdb/ser-pipe.c \
	gdb/ser-tcp.c \
	gdb/ser-unix.c

_natdepfiles= 

_remote_obs = \
	gdb/ax-gdb.c \
	gdb/ax-general.c \
	gdb/dcache.c \
	gdb/remote-fileio.c \
	gdb/remote-utils.c \
	gdb/remote.c \
	gdb/tracepoint.c

_depfiles = ${_tdepfiles} ${_ser_hardwire} ${_natdepfiles} \
	   ${_remote_obs} ${_sim_obs}

_subdir_tui_srcs = \
	tui/tui-command.c \
	tui/tui-data.c \
	tui/tui-disasm.c \
	tui/tui-file.c \
	tui/tui-hooks.c \
	tui/tui-interp.c \
	tui/tui-io.c \
	tui/tui-layout.c \
	tui/tui-out.c \
	tui/tui-regs.c \
	tui/tui-source.c \
	tui/tui-stack.c \
	tui/tui-win.c \
	tui/tui-windata.c \
	tui/tui-wingeneral.c \
	tui/tui-winsource.c \
	tui/tui.c

_subdir_cli_srcs = \
	cli/cli-cmds.c \
	cli/cli-decode.c \
	cli/cli-dump.c \
	cli/cli-interp.c \
	cli/cli-logging.c \
	cli/cli-script.c \
	cli/cli-setshow.c \
	cli/cli-utils.c

_subdir_mi_srcs = \
	mi/mi-cmd-break.c \
	mi/mi-cmd-disas.c \
	mi/mi-cmd-env.c \
	mi/mi-cmd-file.c \
	mi/mi-cmd-stack.c \
	mi/mi-cmd-var.c \
	mi/mi-cmds.c \
	mi/mi-common.c \
	mi/mi-console.c \
	mi/mi-getopt.c \
	mi/mi-interp.c \
	mi/mi-main.c \
	mi/mi-out.c \
	mi/mi-parse.c \
	mi/mi-symbol-cmds.c

_config_srcs=  ${_subdir_cli_srcs} ${_subdir_mi_srcs} gdb/posix-hdep.c

__yyfiles_srcs = \
	ada-exp.y \
	c-exp.y \
	cp-name-parser.y \
	f-exp.y \
	jv-exp.y \
	m2-exp.y \
	objc-exp.y \
	p-exp.y

_common_srcs = \
	${_config_srcs} \
	${_depfiles} \
	${CONFIG_srcs} \
	${__yyfiles_srcs} \
	${_subdir_tui_srcs} \
	gdb/annotate.c \
	gdb/auxv.c \
	gdb/bfd-target.c \
	gdb/blockframe.c \
	gdb/breakpoint.c \
	gdb/findvar.c \
	gdb/regcache.c \
	gdb/charset.c \
	gdb/disasm.c \
	gdb/dummy-frame.c \
	gdb/source.c \
	gdb/value.c \
	gdb/eval.c \
	gdb/valops.c \
	gdb/valarith.c \
	gdb/valprint.c \
	gdb/printcmd.c \
	gdb/block.c \
	gdb/symtab.c \
	gdb/symfile.c \
	gdb/symmisc.c \
	gdb/linespec.c \
	gdb/dictionary.c \
	gdb/infcall.c \
	gdb/infcmd.c \
	gdb/infrun.c \
	gdb/expprint.c \
	gdb/environ.c \
	gdb/stack.c \
	gdb/thread.c \
	gdb/exceptions.c \
	gdb/inf-child.c \
	gdb/interps.c \
	gdb/main.c \
	gdb/macrotab.c \
	gdb/macrocmd.c \
	gdb/macroexp.c \
	gdb/macroscope.c \
	gdb/event-loop.c \
	gdb/event-top.c \
	gdb/inf-loop.c \
	gdb/completer.c \
	gdb/gdbarch.c \
	gdb/arch-utils.c \
	gdb/gdbtypes.c \
	gdb/osabi.c \
	gdb/copying.c \
	gdb/memattr.c \
	gdb/mem-break.c \
	gdb/target.c \
	gdb/parse.c \
	gdb/language.c \
	gdb/buildsym.c \
	gdb/std-regs.c \
	gdb/signals/signals.c \
	gdb/kod.c \
	gdb/kod-cisco.c \
	gdb/gdb-events.c \
	gdb/exec.c \
	gdb/bcache.c \
	gdb/objfiles.c \
	gdb/observer.c \
	gdb/minsyms.c \
	gdb/maint.c \
	gdb/demangle.c \
	gdb/dbxread.c \
	gdb/coffread.c \
	gdb/coff-pe-read.c \
	gdb/elfread.c \
	gdb/dwarfread.c \
	gdb/dwarf2read.c \
	gdb/mipsread.c \
	gdb/stabsread.c \
	gdb/corefile.c \
	gdb/dwarf2expr.c \
	gdb/dwarf2loc.c \
	gdb/dwarf2-frame.c \
	gdb/ada-lang.c \
	gdb/c-lang.c \
	gdb/f-lang.c \
	gdb/objc-lang.c \
	gdb/ui-out.c \
	gdb/cli-out.c \
	gdb/varobj.c \
	gdb/wrapper.c \
	gdb/jv-lang.c \
	gdb/jv-valprint.c \
	gdb/jv-typeprint.c \
	gdb/m2-lang.c \
	gdb/p-lang.c \
	gdb/p-typeprint.c \
	gdb/p-valprint.c \
	gdb/scm-exp.c \
	gdb/scm-lang.c \
	gdb/scm-valprint.c \
	gdb/sentinel-frame.c \
	gdb/complaints.c \
	gdb/typeprint.c \
	gdb/ada-typeprint.c \
	gdb/c-typeprint.c \
	gdb/f-typeprint.c \
	gdb/m2-typeprint.c \
	gdb/ada-valprint.c \
	gdb/c-valprint.c \
	gdb/cp-valprint.c \
	gdb/f-valprint.c \
	gdb/m2-valprint.c \
	gdb/nlmread.c \
	gdb/serial.c \
	gdb/mdebugread.c \
	gdb/top.c \
	gdb/utils.c \
	gdb/ui-file.c \
	gdb/user-regs.c \
	gdb/frame.c \
	gdb/frame-unwind.c \
	gdb/doublest.c \
	gdb/frame-base.c \
	gdb/gnu-v2-abi.c \
	gdb/gnu-v3-abi.c \
	gdb/hpacc-abi.c \
	gdb/cp-abi.c \
	gdb/cp-support.c \
	gdb/cp-namespace.c \
	gdb/reggroups.c \
	gdb/regset.c \
	gdb/trad-frame.c \
	gdb/tramp-frame.c \
	gdb/solib.c \
	gdb/solib-null.c \
	gdb/prologue-value.c

_tssrcs = gdb/inflow.c

.if ${TARGET_ARCH} == "arm"

_natdepfiles+= \
	armfbsd-nat.c

_tdepfiles+= \
	gdb/fbsd-nat.c \
	gdb/arm-tdep.c \
	armfbsd-tdep.c

.endif

.if ${TARGET_ARCH} == "mips"

_natdepfiles+= \
	gdb/mipsfbsd-nat.c

_tdepfiles+= \
	gdb/fbsd-nat.c \
	gdb/mips-tdep.c \
	gdb/mipsfbsd-tdep.c

.endif

.if ${TARGET_ARCH} == "i386"

_natdepfiles+= gdb/i386fbsd-nat.c gdb/i386-nat.c

_tdepfiles+= \
	gdb/fbsd-nat.c \
	gdb/gcore.c \
	gdb/i386-tdep.c \
	gdb/i386bsd-nat.c \
	gdb/i386bsd-tdep.c \
	gdb/i386fbsd-nat.c \
	gdb/i386fbsd-tdep.c \
	gdb/i387-tdep.c \

.endif

.if ${TARGET_ARCH} == "amd64"

_natdepfiles+= \
	gdb/amd64-nat.c \
	gdb/amd64bsd-nat.c \
	gdb/amd64fbsd-nat.c

_tdepfiles+= \
	gdb/fbsd-nat.c \
	gdb/gcore.c \
	gdb/amd64-tdep.c \
	gdb/amd64fbsd-tdep.c \
	gdb/i386-tdep.c \
	gdb/i386bsd-tdep.c \
	gdb/i386fbsd-tdep.c \
	gdb/i387-tdep.c \

.endif

.if ${TARGET_ARCH} == "powerpc" || ${TARGET_ARCH} == "powerpc64"

_natdepfiles+= gdb/ppcfbsd-nat.c 

_tdepfiles+= \
	gdb/fbsd-nat.c \
	gdb/gcore.c \
	gdb/ppc-sysv-tdep.c \
	gdb/ppcfbsd-tdep.c \
	gdb/rs6000-tdep.c

.endif

_gdb_srcs= ${_common_srcs} ${_tssrcs} init.c

GENSRCS+=	observer.h observer.inc
observer.h: gdb/observer.sh gdb/doc/observer.texi
	sh ${.ALLSRC:M*.sh} ${.TARGET:E} ${.ALLSRC:M*.texi} ${.TARGET}

observer.inc: gdb/observer.sh gdb/doc/observer.texi
	sh ${.ALLSRC:M*.sh} ${.TARGET:E} ${.ALLSRC:M*.texi} ${.TARGET}
